##
## Process this file with automake to produce Makefile.in
##
## CVS ID: "$Id: Makefile.am,v 1.17 2005/11/23 11:34:48 marcs Exp $"
##
lib_LTLIBRARIES	= libnmrts.la

libnmrts_la_SOURCES = \
	../rts.c \
	../rtsio.h ../rtsio.c \
	../rtsopt.h ../rtsopt.c \
	../rtscode.h ../rtscode.c \
	../rtsagfl.h ../rtsagfl.c \
	../rtslex.h ../rtslex.c \
	../rtstime.h ../rtstime.c \
	../rtsesc.h ../rtsesc.c \
	../../src/pattern.c ../../src/pattern.h \
	../../src/dfa.c ../../src/dfa.h \
	../../src/regex.c ../../src/regex.h

VERSION_FLAGS = $(subst .,:,$(VERSION))

libnmrts_la_LDFLAGS = -version-info $(VERSION_FLAGS)

## Define RTS for pattern.c
libnmrts_la_CFLAGS = @DBG_OPT@ @DEBUG_RTS_OPT@ -Wall -DRTS $(AM_CFLAGS)

INCLUDES = -I$(top_srcdir)/libabase/src \
	   -I$(top_srcdir)/liblexicon/src \
	   -I$(top_srcdir)/gen/src \
	   -I$(top_srcdir)/gen/rts

#CFLAGS += -DSTANDALONE_LEXER
#CFLAGS += -DDEBUG_INTERPRETER
#CFLAGS += -DDEBUG_POSMEMO
#CFLAGS += -DDEBUG_IO
#CFLAGS += -DDEBUG_TIME_OUT
#CFLAGS += -DDEBUG_MEM
#CFLAGS += -DDEBUG_SCANNER

EXTRA_DIST = Makefile.cygwin
